コンテンツへスキップ

ControlLight

統合

モデルID control-light
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/control-light?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.06 60 APIクレジット · ≈ ₽6.33 このページで実行

APIキーを取得
Open model 画像編集 #stylized#transform

subtleからfull brighteningまで、単一のlighting_levelスライダーで調整する低照度画像補正

Open model · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

デフォルト Enhance this low-ligh...

FLUX.2 [klein]に渡す復元指示。

•必須 image_url
ファイルをドロップ、または

補正が必要な画像を指すURL。

詳細設定 output_format · lighting_level · num_inference_steps · guidance_scale · seed · enable_safety_checker
output_format デフォルト png

生成される画像の形式。

デフォルト 0.75

照明補正用LoRAアダプターのスケール。LoRAの学習で扱われた最大の露出増加が1.0に相当します。画像をほぼ変更しない場合は0.0を選択します。

デフォルト 4

実行するノイズ除去ステップ数。

デフォルト 1

classifier-free guidanceの強度。

再現性のために任意で指定するか、省略時にランダムに選択される生成シード。

POST /run/control-light?wait=20 見積もり → $0.06
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/control-light?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

ControlLightについて

`image_url`の暗い写真を、シーンの構造とディテールを維持したまま明るくします。`lighting_level`は0〜1(デフォルト0.75)で、0では画像がほぼ変化しません。4〜8ステップのノイズ除去を行い、任意の補正用`prompt`を受け付け、png、jpeg、webpを出力します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
image_url必須 image
型url · image
補正が必要な画像を指すURL。
lighting_level任意
型number
デフォルト0.75
0 – 1
照明補正用LoRAアダプターのスケール。LoRAの学習で扱われた最大の露出増加が1.0に相当します。画像をほぼ変更しない場合は0.0を選択します。
prompt任意
型string
デフォルトEnhance this low-light image by lifting exposure and recovering visible details while preserving identity, geometry, atmosphere, natural colors, and avoiding halos, noise, over-sharpening, or overexposure.
FLUX.2 [klein]に渡す復元指示。
seed任意
型integer | null
再現性のために任意で指定するか、省略時にランダムに選択される生成シード。
enable_safety_checker任意
型boolean
デフォルトtrue
生成された画像の安全性チェックを有効にします。
output_format任意
型enum
デフォルトpng
jpegpngwebp
生成される画像の形式。
num_inference_steps任意
型integer
デフォルト4
4 – 8
実行するノイズ除去ステップ数。
guidance_scale任意
型number
デフォルト1
0 – 20
classifier-free guidanceの強度。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "control-light",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 60,
    "usd": "0.06",
    "charged": 60,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "has_nsfw_concepts": [
      false
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}補正後の画像。
has_nsfw_concepts
array of boolean生成された画像にNSFW概念が含まれるかどうかを示します。
seed
integer生成時に適用したシード値。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/control-light.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt